Problème Faction - Serveur Cauldron 1.7.10 ! HELP !



  • Bonsoir !

    Je viens à vous ce soir pour vous faire part d'un problème dont je me ronge les doigts ! 😮
    Cela fait maintenant 2 jours que je tente de faire fonctionner le plugin Factions sur mon serveur Cauldron en 1.7.10 hébergé sur serveur dédié seulement je n'y parvient pas..

    Lorsque j'ouvre le serveur local avec mon plugin Factions (et MassiveCore), tout fonctionne bien. Ensuite, je copie exactement les même fichiers dans mon dédié et là, j'ai l'erreur suivante au lancement :

    J'ai testé en mettant toutes les versions et toujours le même problème sauf que parfois, c'est le Factions qu'il ne trouve plus. J'ai même testé en mettant Faction pour 1.8.1 et le Mcore en 1.7.9, etc. Tout tout tout et à chaque fois le même problème !

    Lorsque je mets les 2 plugins à la toute dernière version donc celle de 1.8.1 comme ils l'indiquent, là ça charge. Je peux créer la faction et tout mais je ne peux pas claim. Dès que je veux claim, j'ai l'erreur suivante :

    Autant vous dire que j'ai tout testé et que j'en peux plus. Je vais parler à l'ami qui possède le serveur dédié pour savoir s'il pourrait m'éclairer lui aussi mais en attendant, je dois reconnaitre que je compte sur vous car j'en peux plus. Je suis à court d'idée. J'ai même tenté de bidouiller les fichiers mais rien.. J'ai l'impression que je pourrais retirer tous les fichiers que j'aurai toujours ce foutu problème 😛

    Bref .. Merci de vos réponses 🙂

    JackHemming

    PS : J'utilise Putty et WinSCP pour le dédié 😉


  • Administrateurs

    Bonsoir,
    Premièrement il y a un petit problème :

    Je ne comprends toujours pas pourquoi vous arrivez à vous tromper de section, c'est pourtant clairement indiqué …

    Deuxièmement, tu pourrais nous envoyer les logs du serveur ? Sans eux difficile de savoir d'où vient le problème.

    En passant je déplace dans la bonne section.



  • Merci de la réponse rapide !
    Tout d'abord, désolé. Je n'ai pas pensé que c'était un problème concernant Cauldron du coup, je l'ai mis dans Forge en me disant que ça réunissait peut-être plugins et mods mais en fait .. Non. 🙂

    Voilà les logs de démarrage que je viens de faire depuis le serveur dédié (ne pas faire attention à l'heure, le serveur à quelques heures de différences) :

    http://pastebin.com/hLvbc9my

    Et voilà ceux du démarrage de mon serveur local (tout fonctionne parfaitement) :

    http://pastebin.com/VWSWrkPx

    Je ne comprends pas sachant que c'est un copier-coller. Pourquoi un fonctionne et pas l'autre ?

    J'espère que ça vous permettra d'y voir clair 🙂

    EDIT : Je viens de remarquer que juste avant le début des logs que j'ai affiché (depuis le dédié), il y a aussi une ERROR. Seulement, elle n'est pas indiquée dans les logs du serveur donc je suppose que ça n'a rien à voir avec mais quand je vois où j'en suis, je donne toute information qui me parait suspecte et qui pourrait peut-être aider.

    http://pastebin.com/sy36sL6S


  • Administrateurs

    Caused by: java.lang.UnsupportedClassVersionError: com/massivecraft/massivecore/MassiveCore : Unsupported major.minor version 51.0

    MassiveCore a besoin de Java 7 or tu as Java 6 sur ton dédiée. Voila pourquoi ça fonctionne sur ton serveur local mais pas sur le dédiée.
    Il faut donc que tu installes Java 7 sur le dédiée.



  • 2 jours que je cherche la solution et tu me la trouves en un clin d'oeil ! 😮 J'ai traversé tous les forums et ai posté sur pleins de forum où je n'ai aucune réponses et ici, j'ai ma réponse en 1h à peine ! Merci beaucoup !!!!!!!!!!!! 🙂 👼


  • Administrateurs

    De rien ^^